- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_xf86dri_get_drawable_info_reply_t Struct Reference
[XCB XF86Dri API]

xcb_xf86dri_get_drawable_info_reply_t More...

`#include <xf86dri.h>`

## Data Fields
uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
uint32_t | length
uint32_t | drawable_table_index
uint32_t | drawable_table_stamp
int16_t | drawable_origin_X
int16_t | drawable_origin_Y
int16_t | drawable_size_W
int16_t | drawable_size_H
uint32_t | num_clip_rects
uint8_t | pad1 [4]

## Detailed Description

xcb_xf86dri_get_drawable_info_reply_t

## Field Documentation

uint8_t xcb_xf86dri_get_drawable_info_reply_t::response_type

uint8_t xcb_xf86dri_get_drawable_info_reply_t::pad0

uint16_t xcb_xf86dri_get_drawable_info_reply_t::sequence

uint32_t xcb_xf86dri_get_drawable_info_reply_t::length

uint32_t xcb_xf86dri_get_drawable_info_reply_t::drawable_table_index

uint32_t xcb_xf86dri_get_drawable_info_reply_t::drawable_table_stamp

int16_t xcb_xf86dri_get_drawable_info_reply_t::drawable_origin_X

int16_t xcb_xf86dri_get_drawable_info_reply_t::drawable_origin_Y

int16_t xcb_xf86dri_get_drawable_info_reply_t::drawable_size_W

int16_t xcb_xf86dri_get_drawable_info_reply_t::drawable_size_H

uint32_t xcb_xf86dri_get_drawable_info_reply_t::num_clip_rects

uint8_t xcb_xf86dri_get_drawable_info_reply_t::pad1[4]

The documentation for this struct was generated from the following file:

- xf86dri.h